[med-svn] r412 - in trunk/community: . infrastructure
smoe-guest at alioth.debian.org
smoe-guest at alioth.debian.org
Tue Aug 21 22:51:45 UTC 2007
Author: smoe-guest
Date: 2007-08-21 22:51:45 +0000 (Tue, 21 Aug 2007)
New Revision: 412
Added:
trunk/community/infrastructure/
trunk/community/infrastructure/svn-preparebuild.sh
Log:
A script using uscan to download the latest version
of the upstream source and preparing .svn/deb-layout
for the right paths.
In the meantime I have learned about svn-upgrade
which is badly described in its man page but sounds a bit
like being much the same intentionwise.
This script needs to wait for a new version of devscripts
to become functional.
Steffen
Added: trunk/community/infrastructure/svn-preparebuild.sh
===================================================================
--- trunk/community/infrastructure/svn-preparebuild.sh (rev 0)
+++ trunk/community/infrastructure/svn-preparebuild.sh 2007-08-21 22:51:45 UTC (rev 412)
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+if [ ! -d "debian" ]; then
+ echo This script should be execute just atop of a Debian directory if a subversion repository
+ exit
+fi
+
+if [ ! -d ".svn" ]; then
+ echo This directory was not checked out from a subversion reporitory
+ exit
+fi
+
+origDir=""
+
+if [ -r ".svn/deb-layout" ]; then
+ echo "Found .svn/deb-layout"
+ origDir=`grep ^origDir .svn/deb-layout | cut -f2 -d= | tr -d "\n"`
+ echo "origDir set to '$origDir'"
+fi
+
+if [ -z "$origDir" ]; then
+ origDirDefault="../tarballs"
+ origDirPath="$origDirDefault ../tarballs ../../tarballs"
+
+ for p in $origDirPath
+ do
+ if [ -d $p ]; then
+ echo found dir $p
+ origDir=$p
+ break
+ else
+ echo No found: $p
+ fi
+ done
+
+ if [ -z "$origDir" ]; then
+ origDir=$origDirDefault
+ fi
+
+ echo "Creating entry for origDir in .svn/deb-layout"
+ echo "origDir=$origDir" >> .svn/deb-layout
+fi
+
+
+if [ ! -d $origDir ]; then
+ echo Creating directory $origDir
+ mkdir $origDir || (
+ echo Could not create dir $origDir
+ exit
+ )
+fi
+
+d=`pwd`
+
+echo Performing call to uscan
+uscan.pl --destdir=$origDir --force-download --verbose $d
Property changes on: trunk/community/infrastructure/svn-preparebuild.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the debian-med-commit
mailing list